Bug 1084687 - [abrt] puddletag: dialogs.py:615:_start:AttributeError: 'NoneType' object has no attribute 'file_pattern'
Summary: [abrt] puddletag: dialogs.py:615:_start:AttributeError: 'NoneType' object has...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: puddletag
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5b53833e9cf2398d05c9eb38413...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-05 13:22 UTC by Vadim
Modified: 2015-01-20 21:08 UTC (History)
1 user (show)

Fixed In Version: puddletag-1.0.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 21:05:16 UTC


Attachments (Terms of Use)
File: backtrace (535 bytes, text/plain)
2014-04-05 13:22 UTC, Vadim
no flags Details
File: environ (1.71 KB, text/plain)
2014-04-05 13:22 UTC, Vadim
no flags Details

Description Vadim 2014-04-05 13:22:25 UTC
Version-Release number of selected component:
puddletag-1.0.2-1.fc20

Additional info:
reporter:       libreport-2.2.0
cmdline:        /usr/bin/python2 /usr/bin/puddletag
executable:     /usr/bin/puddletag
kernel:         3.13.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
dialogs.py:615:_start:AttributeError: 'NoneType' object has no attribute 'file_pattern'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/puddlestuff/masstag/dialogs.py", line 577, in lookup
    self._start()
  File "/usr/lib/python2.7/site-packages/puddlestuff/masstag/dialogs.py", line 615, in _start
    mtp.file_pattern)
AttributeError: 'NoneType' object has no attribute 'file_pattern'

Local variables in innermost frame:
self: <puddlestuff.masstag.dialogs.MassTagWindow object at 0x1b19320>
mtp: None

Comment 1 Vadim 2014-04-05 13:22:31 UTC
Created attachment 883036 [details]
File: backtrace

Comment 2 Vadim 2014-04-05 13:22:33 UTC
Created attachment 883037 [details]
File: environ

Comment 3 Terje Røsten 2014-04-05 14:04:36 UTC
Thanks for your report. 

What did you do when this happened?

Comment 4 Fedora Update System 2015-01-10 15:40:10 UTC
puddletag-1.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/puddletag-1.0.5-1.fc20

Comment 5 Fedora Update System 2015-01-10 15:41:19 UTC
puddletag-1.0.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/puddletag-1.0.5-1.fc21

Comment 6 Fedora Update System 2015-01-11 02:59:38 UTC
Package puddletag-1.0.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puddletag-1.0.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0543/puddletag-1.0.5-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-01-20 21:05:16 UTC
puddletag-1.0.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-20 21:08:40 UTC
puddletag-1.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.